Subject: Re: bug#60589: guix build --keep-going (-k) not always honored

From: Maxim Cournoyer <[email-masked]>
Date: Fri, 06 Jan 2023 12:40:50 -0500

Hi Simon,

zimoun <[email-masked]> writes:

> Hi Maxim,
>
> On Thu, 05 Jan 2023 at 22:56, Maxim Cournoyer <[email-masked]> wrote:
>
>> This is not the expected output when using --keep-failed; I would have
>> expected the build to complete then guix to report about the failure,
>> but it appears to abort without building weechat.
>
> Maybe related with the old #51392,
>
>     bug#51392: guix build option --keep-going is not honored with --rounds
>     <http://issues.guix.gnu.org/issue/51392>

I don't think so, since the other one manifested itself just with
--rounds, and I didn't use that to trigger this one here.

-- 
Thanks,
Maxim